<?php
/**
 * Created by PhpStorm.
 * User: Noa
 * Date: 09/04/2016
 * Time: 13:39
 */

abstract class AbstractMiddlewareDebug implements MiddlewareDebugable{

    protected $name = '';
    protected $activeTab = false;

    public function __construct($activeTab = false) {
        $this->activeTab = $activeTab;
    }


    public function getData() {
        return array(
            "name" => $this->name,
            "active" => $this->activeTab
        );
    }

    public function getHtml() {
        // TODO: Implement getHtml() method.
        return false;
    }

    public static function toJstreeData ($data, $name) {

        $jstreeData = array(
            array(
                'text' => $name,
                'children' => array()
            )
        );

        function createLeaf($name, $data) {

            return array(
                'text' => $name,
                'children' => array($data)
            );
        }

        function walk($root, $tree) {

            foreach ($root as $element => $value) {

                if (is_array($element)) {
                    walk($element);
                }

                $tree[0]['children'][] = createLeaf($element, $value);
            }

            return $tree;
        }

        $jstreeData = walk($data, $jstreeData);

        return $jstreeData;
    }

}