<?php
/**
 * Created by PhpStorm.
 * User: Noa
 * Date: 31/03/2016
 * Time: 23:05
 */

class MiddlewareSession extends AbstractMiddlewareDebug {

    public function __construct($activeTab=false) {

        parent::__construct($activeTab);
        $this->name = "session";

        array_push(JsScriptMap::$debugFiles, '/js/middleware/session.js');

    }

    static function ajaxRequest($params=array()) {

        $session = $_SESSION;

        //reformat data
        if (isset($session['created_at'])) {

            $old = new DateTime();
            $old->setTimestamp($session['created_at']);

            $delta = new DateInterval("PT".SESSION_TIME."S");

            $new = $old->add($delta);

            $session['created_at'] = date("D j F Y  H:i:s", $session['created_at']);
            $session['end_at'] = $new->format("D j F Y  H:i:s");
        }

        $session = AbstractMiddlewareDebug::toJstreeData($session, "session");

        //var_dump($session);

        return json_encode($session);

    }

    public function getHtml() {

        $html = <<< HTML
        <div class="tab-pane fade in active" id="session">
            <h2>Session</h2>
            <div id="container-debug-session"></div>
        </div>
HTML;

        return $html;

    }
}